#!/bin/sh -x

# stop the network and services depending on external network
/etc/init.d/S60externalNetwork stop

# create appropriate network interface file
INTERFACES_FILE=/etc/network/interfaces

rm /etc/network/interfaces
echo \# Configure Loopback   > $INTERFACES_FILE
echo auto lo                >> $INTERFACES_FILE
echo iface lo inet loopback >> $INTERFACES_FILE
echo ""                     >> $INTERFACES_FILE
echo iface esw0 inet dhcp   >> $INTERFACES_FILE

# create appropriate DNS resolver file
rm /tmp/resolv.conf
rm /etc/resolv.conf
ln -s /tmp/resolv.conf /etc/resolv.conf

# start the external network and associated services
/etc/init.d/S60externalNetwork start
